<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
		
		<ui:define name="content">
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h2>Přidat přísadu</h2>
			<h3><h:outputText value="#{produktBean.produkt.nazevProduktu}"></h:outputText></h3>
					
			<h:panelGrid columns="2" styleClass="form">
			
				<h:outputLabel rendered="true" value="Přísada" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{produktBean.prisada}" converter="omnifaces.SelectItemsConverter">
				    <f:selectItems value="#{prisadaBean.prisady}" var="prisada" itemValue="#{prisada}" itemLabel="#{prisada.nazevPrisady}" />
				</h:selectOneMenu>
			
				<h:outputLabel rendered="true" value="Množství"></h:outputLabel>
				<h:inputText value="#{produktBean.vyroben.mnozstvi}" required="true"
					requiredMessage="Množství je povinné"
					validatorMessage="Množství nesmí být záporné">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Jednotka"></h:outputLabel>
				<h:selectOneMenu value="#{produktBean.vyroben.jednotka}">
   					<f:selectItem itemValue="ks" itemLabel="kusy" />
   					<f:selectItem itemValue="g" itemLabel="gramy" />
   					<f:selectItem itemValue="kg" itemLabel="kilogramy" />
   					<f:selectItem itemValue="l" itemLabel="litry" />
   					<f:selectItem itemValue="dcl" itemLabel="decilitry" />
   					<f:selectItem itemValue="špetka" itemLabel="špetka" />
   					
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
				<h:commandButton action="#{produktBean.actionPrisadaAdd}" styleClass="formbutton" value="Přidat">
				</h:commandButton>
			</h:panelGrid>
		</h:form>
	</ui:define>
</ui:composition>
</html>
